summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Cezary M. Kruk2012-12-09 11:12:39 +0100
committer dsomero2012-12-11 22:23:03 +0100
commit28931e60b181c892ae5772ac196b47a1b919bf14 (patch)
tree4ececb9556e5176e9f86e5b14793ca35f6d56439
parentbe22cfc2b73b112bf00978739d71342f0c80e42c (diff)
downloadslackbuilds-28931e60b181c892ae5772ac196b47a1b919bf14.tar.gz
desktop/wmbackground: Added (wmaker backgrounds changer).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--desktop/wmbackground/README6
-rw-r--r--desktop/wmbackground/slack-desc19
-rw-r--r--desktop/wmbackground/wmbackground.SlackBuild76
-rw-r--r--desktop/wmbackground/wmbackground.info10
4 files changed, 111 insertions, 0 deletions
diff --git a/desktop/wmbackground/README b/desktop/wmbackground/README
new file mode 100644
index 0000000000..a4106a59f6
--- /dev/null
+++ b/desktop/wmbackground/README
@@ -0,0 +1,6 @@
+wmbackground is a Window Maker backgrounds changer.
+
+wmbackground is a Window Maker dockable application that changes the
+backgrounds (switches the wallpapers). The application reads the
+~/.wmbackground directory and accepts the backgrounds stored in *.png
+files only.
diff --git a/desktop/wmbackground/slack-desc b/desktop/wmbackground/slack-desc
new file mode 100644
index 0000000000..829d5fd6c0
--- /dev/null
+++ b/desktop/wmbackground/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmbackground: wmbackground is a Window Maker backgrounds changer.
+wmbackground:
+wmbackground: wmbackground is a Window Maker dockable application that changes the
+wmbackground: backgrounds (switches the wallpapers). The application reads the
+wmbackground: ~/.wmbackground directory and accepts the backgrounds stored in *.png
+wmbackground: files only.
+wmbackground:
+wmbackground: homepage: http://linux-bsd-unix.strefa.pl/
+wmbackground:
+wmbackground:
+wmbackground:
diff --git a/desktop/wmbackground/wmbackground.SlackBuild b/desktop/wmbackground/wmbackground.SlackBuild
new file mode 100644
index 0000000000..80abbed243
--- /dev/null
+++ b/desktop/wmbackground/wmbackground.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for wmbackground
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmbackground
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd wmbackground
+ make \
+ FLAGS="$SLKCFLAGS"
+
+# Copy executable to the correct location
+mkdir -p $PKG/usr/bin
+cp -a wmbackground $PKG/usr/bin
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README README.sunwait THANKS contrib $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmbackground/wmbackground.info b/desktop/wmbackground/wmbackground.info
new file mode 100644
index 0000000000..2e8584b4cb
--- /dev/null
+++ b/desktop/wmbackground/wmbackground.info
@@ -0,0 +1,10 @@
+PRGNAM="wmbackground"
+VERSION="1.0.1"
+HOMEPAGE="http://linux-bsd-unix.strefa.pl/"
+DOWNLOAD="http://linux-bsd-unix.strefa.pl/wmbackground-1.0.1.tar.gz"
+MD5SUM="1dc67f01d65fd04171cf99c257441e3b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"